package cz.moneta.test.dsl.ufo.common.authentication;

import cz.moneta.test.dsl.ufo.cb.landing.SME451_S001_UfoCbLandingPage;
import cz.moneta.test.dsl.ufo.common.landing.ADM162_S001_selectPageTomcatSso;
import cz.moneta.test.dsl.ufo.common.landing.ApplicationSelectPage;
import cz.moneta.test.dsl.ufo.operations.search.OPS001_S001_ClientSearchPageUfoOperations;
import cz.moneta.test.dsl.ufo.operations.ufoOperations.EXT701_S001_ExternalPartnersMainPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface UfoLoginPageTransitions extends WebFlow<UfoLoginPageTransitions> {

    ApplicationSelectPage onApplicationSelectPage();

    SME451_S001_UfoCbLandingPage onUfoCbPage();

    EXT701_S001_ExternalPartnersMainPage onUfoExternalPartnersPage();

    ADM162_S001_selectPageTomcatSso onApplicationSelectPageSso();

    OPS001_S001_ClientSearchPageUfoOperations onClientSearchPageUfoOperations();
}
